<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
  <th:block th:insert="~{fragments/header-head :: head}"></th:block>
  <script type="text/javascript" src="../public/js/associate.js" th:src="@{/js/associate.js}"></script>
</head>

<body>

<div class="container-fluid">

  <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="/">Home</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" th:onclick="'javascript:AddFilesToCluster()'" href="#" th:text="#{Add_To_Cluster}"><span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" th:onclick="'javascript:CreateNewCluster()'" href="#" th:text="#{Create_New_Cluster}"><span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" th:onclick="'javascript:RemoveCluster()'" href="#" th:text="#{Remove_Cluster}"><span class="sr-only">(current)</span></a>
        </li>
      </ul>
    </div>
  </nav>

  <div class="album text-muted">
    <form th:object="${selectedFileView}" method="post" class="form-group">
      <div th:if="${not #lists.isEmpty(associateFileViews)}" class="container-fluid">
        <div th:each="fileToAssociate, rowstat : ${associateFileViews}" class="row">
            <div class="col-lg-2" style="float:left;">
              <div class="card">
                <img class="card-img-top" loading="lazy" th:attr="src=${fileToAssociate.fileUIView.thumbnailPath}"/>
                <label th:for="${#ids.next('idToSort')}" class="form-check-label">
                   <input class="form-check-input" type="checkbox" th:field="*{idToSort}" th:value="${fileToAssociate.fileUIView.aggregateId}"/>
                   <p class="card-text" th:text="${fileToAssociate.fileUIView.filename}"></p>
                </label>
              </div>
            </div>
          <div th:if="${not #maps.isEmpty(fileToAssociate.clustersCenterViews)}" class="col-lg-10">
            <div th:each="clusterId: ${fileToAssociate.clustersCenterViews}" >

              <div th:each="fileInCluster : ${clusterId.value}" >
              <div th:if="${fileInCluster.clusterCenter and !fileInCluster.clusterModified}" class="card" style="background-color: green">
                <div class="div-text" th:text="${clusterId.key}"></div>
                <img class="card-img-top" loading="lazy" th:attr="src=${fileInCluster.thumbnailPath}"/>
                <label th:for="${#ids.next('idSorted')}" class="form-check-label">
                  <input th:onclick="'javascript:Check(this)'" class="form-check-input" type="checkbox" th:field="*{idSorted}" th:value="${fileInCluster.aggregateId}"/>
                  <p class="card-text" th:text="${fileInCluster.filename}"></p>
                </label>
              </div>
              <div th:if="${fileInCluster.clusterCenter and fileInCluster.clusterModified}" class="card" style="background-color: aqua">
                <div class="div-text" th:text="${clusterId.key}"></div>
                <img class="card-img-top" loading="lazy" th:attr="src=${fileInCluster.thumbnailPath}"/>
                <label th:for="${#ids.next('idSorted')}" class="form-check-label">
                  <input th:onclick="'javascript:Check(this)'" class="form-check-input" type="checkbox" th:field="*{idSorted}" th:value="${fileInCluster.aggregateId}"/>
                  <p class="card-text" th:text="${fileInCluster.filename}"></p>
                </label>
              </div>
            </div>
          </div>
        </div>
      </div>
      </div>
    </form>
  </div>
</div>


</body>

</html>
